Subject: Re: [PATCH] dst: call cond_resched() in dst_gc_task()

From: Andrew Morton <[email-masked]>
Date: Mon, 8 Feb 2010 23:31:15 -0800

On Tue, 09 Feb 2010 08:20:36 +0100 Eric Dumazet <[email-masked]> wrote:

> I suppose offlining a cpu migrates its works to another (online) cpu ?

Sort of, effectively.  The workqueue code runs all the pending works on
the to-be-offlined CPU and then it's done.

schedule_delayed_work() starts out with a timer, and the timer code
_does_ perform migration off the going-away CPU.